package
{
	
	import flash.net.navigateToURL;
	import flash.net.URLRequest;

	import flash.events.MouseEvent;
	import flash.display.Sprite;


	/**
	 * @author Matthieu
	 * 
	 */
	public class Item extends Sprite
	{

		private var sTitle : String;// le titre du cours AS3
		private var sURLlink : String;// l'URL du lien vers le cours AS3 sur ActionScript Facile
		private var nWidth : int;// largeur du bouton
		

		/**
		 * Constructeur.
		 * 
		 */
		public function Item(title : String, link : String, width:int)
		{
			sTitle = title;
			sURLlink = link;
			nWidth = width;
			this.createButton();
		}
		

		/**
		 * Création du bouton.
		 * 
		 */
		private function createButton() : void
		{
			var oBtnItem:DefaultButton = new DefaultButton();
			oBtnItem.getObject().label = sTitle;
			oBtnItem.getObject().width = nWidth;
			oBtnItem.getObject().addEventListener ( MouseEvent.CLICK, navigateToCours );
			
			this.addChild(oBtnItem);
		}

		
		/**
		 * Ouvre une nouvelle page web (le cours AS3)
		 * lors d'un click par l'internaute sur le bouton.
		 * 
		 */
		private function navigateToCours(evt : MouseEvent) : void
		{
			navigateToURL(new URLRequest(sURLlink));
		}
 
	
	}
}
